> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contacts at a company

> Returns all of the contacts who have a specified ID in the `associatedCompanyId` contact property. Returns 20 contacts by default. You can get up to 100 contacts per request using the `count` parameter. You can use the `vidoffset` field returned in the results with the `vidOffset` parameter to get the next set of results.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.companies.read', 'crm.objects.companies.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/crm-companies-v2.json GET /companies/v2/companies/{companyId}/contacts
openapi: 3.0.0
info:
  title: CRM Companies API v2
  version: 2.0.0
  description: Legacy CRM Companies API v2 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /companies/v2/companies/{companyId}/contacts:
    get:
      summary: Get Contacts at a Company
      description: >-
        Returns all of the contacts who have a specified ID in the
        `associatedCompanyId` contact property. Returns 20 contacts by default.
        You can get up to 100 contacts per request using the `count` parameter.
        You can use the `vidoffset` field returned in the results with the
        `vidOffset` parameter to get the next set of results.
      operationId: getcompaniesv2companiescompanyIdcontacts
      parameters:
        - name: offset
          in: query
          required: false
          description: >-
            This is used to get the next page of results. Each request will
            return an offset in the response, and you'd use that offset in the
            URL of your next request to get the next page of results.
          schema:
            type: string
        - name: count
          in: query
          required: false
          description: Specifies the number of companies to be returned.
          schema:
            type: string
        - name: since
          in: query
          required: false
          description: >-
            Only return companies modified or created after timestamp x. x must
            be a UNIX formatted timestamp in milliseconds.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get Contacts at a Company - Example 1
                  value:
                    contacts:
                      - identities:
                          - vid: 23511
                            identity:
                              - value: rswanson@parksrec.com
                                type: EMAIL
                                timestamp: 1394223876431
                              - value: 1a658c50-fc00-47b5-b920-3079c03b6369
                                type: LEAD_GUID
                                timestamp: 1394223876535
                            linkedvid: []
                          - vid: 23510
                            identity:
                              - value: rswan@parksandrec.com
                                type: EMAIL
                                timestamp: 1394222641382
                              - value: d98d7590-ad15-463e-aa9d-f7070199d913
                                type: LEAD_GUID
                                timestamp: 1394222641428
                            linkedvid: []
                        properties:
                          - name: lastname
                            value: Swanson
                            sourceVid: []
                          - name: firstname
                            value: Ron
                            sourceVid: []
                          - name: lastmodifieddate
                            value: '1403134876842'
                            sourceVid: []
                        listMembership: []
                        vid: 23511
                        portalid: 62515
                        isContact: true
                        vids: []
                        imports: []
                        publicToken: >-
                          AO_T-mO3IQOR49eMkLukTZMtEMbVMbpeRbF6gREcu9lpDKiAGqI36EAIqORKFd2LFN11x-YmQs5DsUGlFH8hsXWR9T0Aj85_Tp0e76Pmzze2P6XmxfrgevzJHWSo4ENDRRObVX1N5wFO
                        canonicalVid: 23511
                        mergeAudit:
                          - canonicalVid: 23511
                            vidToMerge: 23510
                            timestamp: 1403130666794
                            userId: 100291
                            entityId: ''
                            numPropertiesMoved: 39
                            email: rswan@parksandrec.com
                            firstName: Ron
                            lastName: Swanson
                        mergedVids:
                          - 23511
                          - 23510
                    vidOffset: 23511
                    hasMore: false

````